<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>order</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>

            .flex {
                background-color: gray;
                display: flex;
                margin: 1em;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
                text-align: center;
            }

            .stretch {
                justify-content: stretch;
            }

            .order {
                order: 1;
            }

            .order2 {
                order: -1;
            }
        </style>
    </head>
    <body>
        <div class="flex">
            <div>1</div>
            <div>2</div>
            <div>3</div>
            <div>4</div>
            <div class="order">order: 1</div>
            <div>6</div>
            <div>7</div>
        </div>
        <div class="flex stretch">
            <div>1</div>
            <div class="order">order: 1</div>
            <div>3</div>
            <div>4</div>
            <div class="order2">order: -1</div>
            <div>6</div>
            <div>7</div>
        </div>
    </body>
</html>